Subject: RE: [seamoby] centralized vs. distributed context storage

From: "Shahrier, Sharif M." <[email-masked]>
Date: Fri, 23 Feb 2001 10:28:37 -0500

I was not aware of this. In that case, I'll have no further comments on the
draft. I don't want to slow things up.

Sharif

-----Original Message-----
From: Pat Calhoun [mailto:[email-masked]]
Sent: Friday, February 23, 2001 9:41 AM
To: Shahrier, Sharif M.
Cc: 'Henrik Levkowetz'; [email-masked]; Kiernan, Brian G.
Subject: RE: [seamoby] centralized vs. distributed context storage

If the WG agrees that your proposed new section is worth being included,
then
the editor must include it. However, do keep in mind that this would push
our
problem statement being delivered to the IESG until April 9th, at the
earliest, since the next revision of the problem statement I-D cannot be
submitted until after the IETF (and it takes a few days to get published + 2
weeks last call).

My 2 cents,

PatC
> Henrik,
> 
> I don't disagree with you. All I wish to do is add a small sub-section
> called "distributed repository" following the text on "centralized
> repository". I will be sending you text to look at. Other than that, I'll
> have no futher comments on the ct draft.
> 
> Thank you.
> 
> Sharif
> 
> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]]
> Sent: Thursday, February 22, 2001 5:56 PM
> Cc: [email-masked]
> Subject: Re: [seamoby] centralized vs. distributed context storage
> 
> 
> Sharif,
> 
>     I'd like to look forward to the next step, which I hope willd be a
> requirements document, rather than fiddle too much with the problem
> statement.  From the comments so far, it seems that we have managed
> to present the case for context transfer in an acceptable form, which
> will enable us to go forward -- which is the whole idea.
>     Would it be acceptable to you to leave the draft as-is for now,
> and then maybe, if it finds favour with the gods, put your thoughts
> and requirements into the requirements document?
> 
>     Regards,
>         Henrik
> 
> Sharif wrote:
> > I had a favorable response to the fault-tolerant issues of context
storage
> > in a centralized  vs. distributed repository. Thus, in this light I
would
> > like to add a sub-section following 4.1.4 on "distributed repository".
> Under
> > this scheme, there would be several repositories, keeping copies of the
> > contexts, e.g. a 3MR system. Hence, if one of them fails, it is still
> > possible to retreive the context from a working repository. Another
> > advantage of a 3MR (NMR, in general) is that it reduces contention
> compared
> > to a centralized repository. Of course, a disavantage of the distributed
> > case is that more hardware is required for the replications.
> > 
> > Sharif Shahrier
> >

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 23 Feb 2001 07:34:56 -0800 (PST)

> draft. I don't want to slow things up.

ok. However, you seem to have alot of ideas and requirements in this space,
and would encourage you to work with us if/when we begin the requirements
gathering phase.

Thanks,

PatC